> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 자산 분류



## OpenAPI

````yaml ko/openapi/data-api-proxy.spec.yml GET /api/v2.1/fundamentals/assetClassification
openapi: 3.0.0
info:
  contact: {}
  description: >-
    توفّر واجهة برمجة التطبيقات REST هذه نقاط نهاية للبحث في الأساسيات المالية
    والحصول على تفاصيلها.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/fundamentals/assetClassification:
    get:
      tags:
        - Fundamentals
      summary: جلب تصنيف الأصول v2.1
      description: >-
        استرجِع تفاصيل تصنيف الأصول للرموز المحددة، بما في ذلك القطاع والصناعة
        وغيرها من البيانات الوصفية للتصنيف. مفيد لتصنيف المحافظ وتحليلها.
      operationId: get-asset-classification-v21
      parameters:
        - description: 'قائمة رموز مفصولة بفواصل (على سبيل المثال: AAPL, MSFT)'
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            يُرجِع النتائج للتواريخ اللاحقة للتاريخ المحدد في هذه المعلمة أو
            الموافقة له (YYYY-MM-DD)
          in: query
          name: asOf
          schema:
            type: string
        - description: >-
            يُحدِّد الفترة الزمنية للنتائج المُسترجَعة (على سبيل المثال: Q1,
            2023)
          in: query
          name: period
          schema:
            type: string
        - description: >-
            نوع التقرير: TTM (آخر اثني عشر شهرًا)، A (كما أُبلِغ عنه في الأصل)،
            R (معاد بيانه)، P (أولي)
          in: query
          name: reportType
          schema:
            type: string
      responses:
        '200':
          description: بيانات تصنيف الأصول
          content:
            application/json:
              schema:
                type: string
        '400':
          description: طلب غير صحيح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: خطأ خادم داخلي
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
        - unsupported_message_type
        - database_query_error
      type: string
      x-enum-varnames:
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````